org.apache.maven.toolchain

## Interface ToolchainManager

All Known Implementing Classes:
  DefaultToolchainManager

    public interface ToolchainManager

Author:
  mkleint

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`Toolchain` `getToolchainFromBuildContext(java.lang.String type, MavenSession context)` to be used from plugins capable of working with toolchains.

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### getToolchainFromBuildContext

    Toolchain getToolchainFromBuildContext(java.lang.String type,
                                         MavenSession context)

to be used from plugins capable of working with toolchains.